Loading...
Searching...
No Matches
su_debug.h File Reference
Logging Interface

SU debugging macros. More...

`#include <sofia-sip/su_log.h>`
Include dependency graph for su_debug.h:

Go to the source code of this file.

## Macros

#define | SU_DEBUG_H
| Defined when <sofia-sip/su_debug.h> has been included.
#define | SU_DEBUG_MAX
| The maximum debugging level.
#define | SU_DEBUG_0(x)
| Log messages at level 0.
#define | SU_LERROR(s)
| Log C library errors.
#define | SU_LSERROR(s)
| Log socket errors.

## Detailed Description

SU debugging macros.

The logging levels and macros to use are defined as follows:

- SU_DEBUG_0() fatal errors, panic
- SU_DEBUG_1() critical errors, minimal progress at subsystem level
- SU_DEBUG_2() non-critical errors
- SU_DEBUG_3() warnings, progress messages
- SU_DEBUG_5() signaling protocol actions (incoming packets, etc.)
- SU_DEBUG_7() media protocol actions (incoming packets, etc.)
- SU_DEBUG_9() entering/exiting functions, very verbatim progress

These macros are used to log with module-specific levels. The SU_LOG macro is redefined with a pointer to a module-specific su_log_t structure, e.g., "iptsec_debug.h".

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Tue Feb 8 10:06:33 2000 ppessi

See also
  Debugging Logs, su_llog(), su_vllog(), su_log_t,

## Macro Definition Documentation

## SU_DEBUG_0

#define SU_DEBUG_0 | ( |  | x | ) |

Log messages at level 0.

Fatal errors and panic messages should be logged at level 0.

See also
  su_llog(), su_vllog(), su_log_t, Debugging Logs

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.